Summary:	The GNU shar utilities for packaging and unpackaging shell archives
Name:		sharutils
Version:	4.15.2
%define		subrel 1
Release:	%mkrel 2
License:	GPLv3
Group:		Archiving/Backup
Url:		http://www.gnu.org/software/sharutils/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz
Patch0:		sharutils-4.14.2-Pass-compilation-with-Werror-format-security.patch
Patch1:		sharutils-4.15.2-heap-buffer-overflow.patch
Requires(pre):	info-install
BuildRequires:	texinfo

%description
The sharutils package contains the GNU shar utilities, a set of tools
for encoding and decoding packages of files (in binary or text format)
in a special plain text format called shell archives (shar).  This
format can be sent through email (which can be problematic for
regular binary files).  The shar utility supports a wide range of
capabilities (compressing, uuencoding, splitting long files for
multi-part mailings, providing checksums), which make it very flexible
at creating shar files.  After the files have been sent, the unshar
tool scans mail messages looking for shar files.  Unshar automatically
strips off mail headers and introductory text and then unpacks the shar
files.

Install sharutils if you send binary files through email very often.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-rpath

%make_build

%install
%make_install 

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man?/*
#%%{_includedir}/sharutils/*


%changelog
* Mon Mar 12 2018 kekepower <kekepower> 4.15.2-2.1.mga6
  (not released yet)
+ Revision: 1208266
- Add patch to fix a heap buffer overflow bug (mga#22739)

* Fri Feb 12 2016 umeabot <umeabot> 4.15.2-2.mga6
+ Revision: 958853
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 blino <blino> 4.15.2-1.mga6
+ Revision: 857230
- 4.15.2
- replace format build fix with Fedora's version

* Wed Oct 15 2014 umeabot <umeabot> 4.14-3.mga5
+ Revision: 740414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.14-2.mga5
+ Revision: 689134
- Mageia 5 Mass Rebuild

* Tue Nov 05 2013 luigiwalser <luigiwalser> 4.14-1.mga5
+ Revision: 549747
- 4.14
- remove upstreamed portions of string format patch

* Sat Oct 19 2013 umeabot <umeabot> 4.13.5-2.mga4
+ Revision: 525271
- Mageia 4 Mass Rebuild

* Wed May 29 2013 luigiwalser <luigiwalser> 4.13.5-1.mga4
+ Revision: 432845
- rediff patch0
- 4.13.5

* Wed Jan 30 2013 luigiwalser <luigiwalser> 4.13.3-1.mga3
+ Revision: 393577
- 4.13.3

* Mon Jan 14 2013 umeabot <umeabot> 4.13.1-2.mga3
+ Revision: 381962
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 4.13.1-1.mga3
+ Revision: 338734
- 4.13.1
- rediff string format patch and fix more format string errors
- remove no longer needed glibc patch

* Wed Dec 05 2012 cjw <cjw> 4.11.1-2.mga3
+ Revision: 327039
- patch1: remove warning about gets(), not available in glibc 2.16

* Sun Jun 12 2011 kharec <kharec> 4.11.1-1.mga2
+ Revision: 105442
- new version
  fix file list

* Wed Apr 13 2011 tv <tv> 4.11-1.mga1
+ Revision: 84584
- new release

* Sat Jan 08 2011 blino <blino> 4.10-1.mga1
+ Revision: 773
- imported package sharutils

